## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
%global debug_package %{nil}

%global forgeurl https://github.com/jlblancoc/nanoflann
Version:        1.6.1
%forgemeta

Name:           nanoflann
Release:        %autorelease
Summary:        A C++11 header-only library for Nearest Neighbor (NN) search with KD-trees
License:        BSD-3-Clause
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  cmake(gtest)

%description
nanoflann is a C++11 header-only library for building KD-Trees of datasets with
different topologies: R2, R3 (point clouds), SO(2) and SO(3) (2D and 3D rotation
groups). No support for approximate NN is provided.

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel
nanoflann is a C++11 header-only library for building KD-Trees of datasets with
different topologies: R2, R3 (point clouds), SO(2) and SO(3) (2D and 3D rotation
groups). No support for approximate NN is provided.

The %{name}-devel package contains development files for %{name}.

%prep
%forgeautosetup -p1

rm -r tests/gtest-1.8.0

%build
%cmake \
    -GNinja \
    -DCMAKE_BUILD_TYPE=Release \
    -DNANOFLANN_USE_SYSTEM_GTEST=ON \

%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%license COPYING
%doc README.md
%{_includedir}/nanoflann.hpp
%{_libdir}/pkgconfig/nanoflann.pc
%{_datadir}/cmake/nanoflann/

%changelog
## START: Generated by rpmautospec
* Sun Aug 25 2024 Packit <hello@packit.dev> - 1.6.1-1
- Update to 1.6.1 upstream release
- Resolves: rhbz#2307814

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Packit <hello@packit.dev> - 1.6.0-1
- Update to 1.6.0 upstream release
- Resolves: rhbz#2297973

* Wed Mar 13 2024 Felix Wang <topazus@outlook.com> - 1.5.5-2
- fix packit

* Tue Mar 12 2024 Packit <hello@packit.dev> - 1.5.5-1
- [packit] 1.5.5 upstream release
- Resolves rhbz#2257989

* Tue Mar 12 2024 Felix Wang <topazus@outlook.com> - 1.5.4-4
- enable packit only on rawhide

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 topazus <topazus@outlook.com> - 1.5.4-1
- update to 1.5.4; add packit

* Mon Dec 25 2023 topazus <topazus@outlook.com> - 1.5.3-1
- initial import; rhbz#2255796
## END: Generated by rpmautospec
